Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class ResourceHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadmin.editors.ResourceHelper

Direct Known Subclasses:
  AttributesHelper, FramedResourceHelper

public abstract class ResourceHelper
extends ResourceHelper

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`ResourceHelper()`

Method Summary
`protected void` | `errorPopup(java.lang.String msg, java.lang.Exception ex)` Show an error message.
`protected void` | `msgPopup(java.lang.String msg)` Show a message.

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, getComponent, getTitle, getValue, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHelper

    public ResourceHelper()

Method Detail

### errorPopup

    protected void errorPopup(java.lang.String msg,
                              java.lang.Exception ex)

  Show an error message.
  Parameters:
    `msg` - the error message.
    `ex` - an Exception instance.
  Overrides:
    errorPopup in class ResourceHelper

### msgPopup

    protected void msgPopup(java.lang.String msg)

  Show a message.
  Parameters:
    `msg` - the message.
  Overrides:
    msgPopup in class ResourceHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD